import React, { ComponentProps } from "react";
declare const MapComponent: React.LazyExoticComponent<React.FC<import("./Map").MapProps>>;
export declare function Map(props: ComponentProps<typeof MapComponent>): JSX.Element;
declare const LocationPickerComponent: React.LazyExoticComponent<typeof import("./LocationPicker").default>;
export declare function LocationPicker(props: ComponentProps<typeof LocationPickerComponent>): JSX.Element;
declare const SmartMarkerComponent: React.LazyExoticComponent<React.FC<import("./SmartMarker").SmartMarkerProps>>;
export declare function SmartMarker(props: ComponentProps<typeof SmartMarkerComponent>): JSX.Element;
declare const LocationButtonComponent: React.LazyExoticComponent<React.FC<import("./LocationButton").IProps>>;
export declare function LocationButton(props: ComponentProps<typeof LocationButtonComponent>): JSX.Element;
declare const LocationViewDialogComponent: React.LazyExoticComponent<typeof import("./LocationViewDialog").default>;
export declare function LocationViewDialog(props: ComponentProps<typeof LocationViewDialogComponent>): JSX.Element;
export {};
